Bug 628161 - Compose seems not to be working with ibus-1.3.7
Compose seems not to be working with ibus-1.3.7
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
: 628024 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2010-08-28 06:31 EDT by Jens Petersen
Modified: 2010-09-01 01:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: ibus-1.3.7-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-09-01 01:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-08-28 06:31:33 EDT
Description of problem:
X Compose of keys seems not to be working with ibus-1.3.7 in F14.

Steps to Reproduce:
1. setup Compose key (Multi_key) in
   gnome-keyboard-properties -> Layouts -> Options -> Compose key position
   (eg Right Alt)
2. make sure ibus is running as input-method in im-chooser
3. start gedit
4. type some standard compose sequences:
- Compose ` e
- Compose ^ a
- Compose a e
- Compose " u
Actual results:

Expected results:
(typed with Compose using ibus-1.3.6 in F13 :)
Comment 1 Mamoru TASAKA 2010-08-28 07:39:40 EDT
Maybe I am seeing the different effect on bug 628024?
Comment 2 fujiwara 2010-08-29 22:03:14 EDT
*** Bug 628024 has been marked as a duplicate of this bug. ***
Comment 3 fujiwara 2010-08-29 22:11:59 EDT
Probably the right fix is to implement XKB model and options in ibus-xkb.
But I fix the default layout only for the critical issue at the moment.
Comment 5 Fedora Update System 2010-08-29 22:38:52 EDT
ibus-1.3.7-3.fc14 has been submitted as an update for Fedora 14.
Comment 6 Jens Petersen 2010-08-30 22:11:10 EDT
Thanks looks good to me now.
Comment 7 Fedora Update System 2010-09-01 01:46:13 EDT
ibus-1.3.7-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.